summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2020-05-09 14:05:05 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2020-05-10 08:37:02 +0700
commit6b5b631d82273f294d510f17af5ae24d536b11e0 (patch)
tree24ffec8c71a294b196f52bcd191cf13b98acac8a /system
parentf73f1edfea46bd94fe51c69332665f4f450a436b (diff)
downloadslackbuilds-6b5b631d82273f294d510f17af5ae24d536b11e0.tar.gz
slackbuilds-6b5b631d82273f294d510f17af5ae24d536b11e0.tar.xz
system/ccd2cue: Added (convert CloneCD images to bin/cue)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/ccd2cue/README5
-rw-r--r--system/ccd2cue/ccd2cue.SlackBuild82
-rw-r--r--system/ccd2cue/ccd2cue.info10
-rw-r--r--system/ccd2cue/slack-desc19
4 files changed, 116 insertions, 0 deletions
diff --git a/system/ccd2cue/README b/system/ccd2cue/README
new file mode 100644
index 0000000000..fa0b35ab09
--- /dev/null
+++ b/system/ccd2cue/README
@@ -0,0 +1,5 @@
+ccd2cue (convert proprietary CloneCD images to bin/cue)
+
+GNU ccd2cue is a CCD sheet to CUE sheet converter. It supports the full
+extent of CUE sheet format expressiveness, including mixed-mode discs
+and CD-Text meta-data.
diff --git a/system/ccd2cue/ccd2cue.SlackBuild b/system/ccd2cue/ccd2cue.SlackBuild
new file mode 100644
index 0000000000..743c380b2b
--- /dev/null
+++ b/system/ccd2cue/ccd2cue.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+# Slackware build script for ccd2cue
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=ccd2cue
+VERSION=${VERSION:-0.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --infodir=/usr/info \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*.info*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+# Skip Makefile*, INSTALL, and long political rants.
+cp -a THANKS A[NU]* [B-HN-SUVXYZ]* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/ccd2cue/ccd2cue.info b/system/ccd2cue/ccd2cue.info
new file mode 100644
index 0000000000..02c096e670
--- /dev/null
+++ b/system/ccd2cue/ccd2cue.info
@@ -0,0 +1,10 @@
+PRGNAM="ccd2cue"
+VERSION="0.5"
+HOMEPAGE="https://www.gnu.org/software/ccd2cue/"
+DOWNLOAD="http://ftpmirror.gnu.org/ccd2cue/ccd2cue-0.5.tar.gz"
+MD5SUM="565eb34e3ab5331ee5aab2fe215118aa"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/system/ccd2cue/slack-desc b/system/ccd2cue/slack-desc
new file mode 100644
index 0000000000..c0973a04e7
--- /dev/null
+++ b/system/ccd2cue/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ccd2cue: ccd2cue (convert proprietary CloneCD images to bin/cue)
+ccd2cue:
+ccd2cue: GNU ccd2cue is a CCD sheet to CUE sheet converter. It supports the
+ccd2cue: full extent of CUE sheet format expressiveness, including mixed-mode
+ccd2cue: discs and CD-Text meta-data.
+ccd2cue:
+ccd2cue:
+ccd2cue:
+ccd2cue:
+ccd2cue:
+ccd2cue: